<template>
  <i-wrapper top>
    <i-header :title="$t(`astrologerTitles.${report.type}`)" back />
    <i-curtain :bottom-circles="false" scrollable fixed>
      <!-- <iframe :src="`/storage/pdf-samples/${report.type}.pdf`" width="100%" height="2000px" /> -->
      <div v-for="partNumber in partsCount[report.type]" :key="partNumber" class="p-preview-part">
        <img
          :src="
            require(`~/assets/pdf-samples/${report.type}/${report.type}-${String(partNumber).padStart(2, '0')}.jpg`)
          "
          width="100%"
          class="p-preview-part__image" />
        <span class="p-preview-part__watermark">EXAMPLE</span>
      </div>
    </i-curtain>
  </i-wrapper>
</template>

<script>
  export default {
    layout: 'default',
    nuxtI18n: false,
    middleware: ['logged-in-only'],
    transition: { name: 'fade', mode: 'out-in' },

    async asyncData({ params, redirect }) {
      if (!['natal-chart', 'synastry-report', 'transit-report'].includes(params.reportType)) {
        return redirect({ name: 'astrologers' });
      }

      return {
        report: {
          type: params.reportType,
        },
      };
    },

    data() {
      return {
        partsCount: {
          'natal-chart': 50,
          'synastry-report': 25,
          'transit-report': 71,
        },
      };
    },
  };
</script>

<style lang="scss">
  .p-preview-part {
    display: flex;
    position: relative;

    &::before {
      position: absolute;
      z-index: 1;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      display: block;
      content: '';
      background-color: rgba(#000, 0.5);
    }
  }

  .p-preview-part__watermark {
    position: absolute;
    z-index: 2;
    top: 50%;
    left: 50%;
    font-size: rf(20px);
    color: #fff;
    transform: translate(-50%, -50%) rotate(45deg);
  }
</style>
